import javax.swing.*;

/**
 * Opens a window entitled "My example program".
 * Does <em>not</em> guarantee thread-safety; that is, the precise timing of
 * various things happening while the program is starting up can produce
 * unpredictable results, like the frame being deallocated before it's ever
 * displayed.
 * @version 2, 2 Feb 2005.
 **/
public class Example
{
    public static void main(String[] args) {
        // Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);
        
        // Create the window and set its size.
        JFrame frame = new JFrame ("My example program");
        frame.setSize(300, 200);
        
        // Make sure the program exits when the window is closed.
        frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        // Show the window.
        frame.setVisible(true);
    }
}
